/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
/*
//-----------------------------------------------------------------------------
//
// $Source: /usr/proj/grl/motifplb/design_review_1_efforts/lib_1/XMWindowObj.hh,v $
// $Revision: 1.4 $
// $State: Exp $
// $Author: grlcr $
// $Date: 89/11/29 11:19:54 $
// $Locker:  $
//
// $Log:	XMWindowObj.hh,v $
Revision 1.4  89/11/29  11:19:54  grlcr
*** empty log message ***

Revision 1.3  89/11/03  18:23:55  grlcr
major reworking

Revision 1.2  89/11/03  09:55:02  grlcr
*** empty log message ***

Revision 1.1  89/11/02  12:49:35  motifplb
Initial revision

// ***** Created Oct 11, 1989 by Krishnan *****
// ***** grlcr: reworked, Nov 3
//-----------------------------------------------------------------------------
*/

#ifndef XMWindowObj_hh
#define XMWindowObj_hh

#include "XMRectObj.hh"

class XMWindowObj : public XMRectObj {
 protected :
     // ****CONSTRUCTORS**** 
     XMWindowObj ();

 public :
     // ****DESTRUCTOR****
     ~XMWindowObj ();

    // ****METHODS TO SET THE WindowObj RESOURCES****
     void set_accelerators      (XtTranslations);
     void set_background        (Pixel);
     void set_backgroundPixmap  (Pixmap);
     void set_borderColor       (Pixel);
     void set_borderPixmap      (Pixmap);
     void set_colormap          (Colormap);
     void set_depth             (int);
     void set_mappedWhenManaged (Boolean);
     void set_screen            (int);
     void set_translations      (XtTranslations);

     // ****METHODS TO GET THE WindowObj RESOURCES****
     void get_accelerators      (XtTranslations*);
     void get_background        (Pixel*);
     void get_backgroundPixmap  (Pixmap*);
     void get_borderColor       (Pixel*);
     void get_borderPixmap      (Pixmap*);
     void get_colormap          (Colormap*);
     void get_depth             (int*);
     void get_mappedWhenManaged (Boolean*);
     void get_screen            (int*);
     void get_translations      (XtTranslations*);
};

#endif     // XMWindowObj_hh

// dont add stuff after this endif


