/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
static char rcsid[] = "$Header: XMMainW.cc,v 1.4 89/12/16 14:06:01 bmontagu Exp $";
/*
//
// $Source: /usr/proj/grl/motifplb/design_review_1_efforts/lib_1/XMMainW.cc,v $
// $Revision: 1.4 $
// $State: Exp $
// $Author: bmontagu $
// $Date: 89/12/16 14:06:01 $
// $Locker:  $
//
// $Log:	XMMainW.cc,v $
Revision 1.4  89/12/16  14:06:01  bmontagu
Removed duplicate rcsid

Revision 1.3  89/12/11  14:01:51  kseethar
added functions, KS

Revision 1.2  89/12/08  15:25:55  grlcr
*** empty log message ***

Revision 1.1  89/11/22  12:44:48  kseethar
Initial revision

//-----------------------------------------------------------------------------
*/

#include "XMMainW.hh"

// ---------------------------------------------------------------------------
   XMMainWindow::XMMainWindow () : ()
// ---------------------------------------------------------------------------
{
}

// ---------------------------------------------------------------------------
   XMMainWindow::XMMainWindow (XMObject* parent, String name,
			       Boolean managed = True) : ()
// ---------------------------------------------------------------------------
{
 w = XmCreateMainWindow (parent->get_widget (), name, args, args_count);
 if (managed)
    this->Manage ();

 cb_associate (w, this);
}

// Added by KS Aug 2, 1990
// ---------------------------------------------------------------------------
   XMMainWindow::XMMainWindow (XMObject* parent, String name, 
			       u_char scrollbar_display_policy, 
			       u_char scrolling_policy,
			       Boolean managed = True) : ()
// ---------------------------------------------------------------------------
{
 this->set_scrollBarDisplayPolicy (scrollbar_display_policy);
 this->set_scrollingPolicy (scrolling_policy);

 w = XmCreateMainWindow (parent->get_widget (), name, args, args_count);
 if (managed)
    this->Manage ();

 cb_associate (w, this);
}

// ---------------------------------------------------------------------------
   XMMainWindow::~XMMainWindow ()
// ---------------------------------------------------------------------------
{
}

SET_BIND_O (XMMainWindow, set_commandWindow, XmNcommandWindow);
GET_BIND_O (XMMainWindow, get_commandWindow, XmNcommandWindow);

SET_BIND (XMMainWindow, set_mainWindowMarginHeight, XmNmainWindowMarginHeight,
          Dimension);
GET_BIND (XMMainWindow, get_mainWindowMarginHeight, XmNmainWindowMarginHeight,
          Dimension*);

SET_BIND (XMMainWindow, set_mainWindowMarginWidth, XmNmainWindowMarginWidth,
          Dimension);
GET_BIND (XMMainWindow, get_mainWindowMarginWidth, XmNmainWindowMarginWidth,
          Dimension*);

SET_BIND_O (XMMainWindow, set_menuBar, XmNmenuBar);
GET_BIND_O (XMMainWindow, get_menuBar, XmNmenuBar);

SET_BIND (XMMainWindow, set_showSeparator, XmNshowSeparator, Boolean);
GET_BIND (XMMainWindow, get_showSeparator, XmNshowSeparator, Boolean*);

// ---------------------------------------------------------------------------
   XMObject* XMMainWindow::Sep1 ()
// ---------------------------------------------------------------------------

{
 return (cb_locate_object (XmMainWindowSep1 (w)));
}

// ---------------------------------------------------------------------------
   XMObject* XMMainWindow::Sep2 ()
// ---------------------------------------------------------------------------

{
 return (cb_locate_object (XmMainWindowSep2 (w)));
}

// ---------------------------------------------------------------------------
   void XMMainWindow::SetAreas (XMObject* w2, XMObject* w3, XMObject* w4,
                                XMObject* w5, XMObject* w6)
// ---------------------------------------------------------------------------

{

 Widget ww[5];

// mod by KS Aug 2, 1990

 if (w2 != NULL)
    ww[0] = w2->get_widget ();
 else
    ww[0] = NULL;

 if (w3 != NULL)
    ww[1] = w3->get_widget ();
 else
    ww[1] = NULL;

 if (w4 != NULL)
    ww[2] = w4->get_widget ();
 else
    ww[2] = NULL;

 if (w5 != NULL)
    ww[3] = w5->get_widget ();
 else
    ww[3] = NULL;

 if (w6 != NULL)
    ww[4] = w6->get_widget ();
 else
    ww[4] = NULL;

 XmMainWindowSetAreas (w, ww[0], ww[1], ww[2], ww[3], ww[4]);
}

